Git::SVN::Ra(3pm)

NAME
Git::SVN::Ra - Subversion remote access functions for git-svn

SYNOPSIS
    use Git::SVN::Ra;

    my $ra = Git::SVN::Ra->new($branchurl);
    my ($dirents, $fetched_revnum, $props) =
        $ra->get_dir('.', $SVN::Core::INVALID_REVNUM);

DESCRIPTION
This is a wrapper around the SVN::Ra module for use by git-svn. It fills in some default parameters (such as the authentication scheme), smooths over incompatibilities between libsvn versions, adds caching, and implements some functions specific to git-svn.

Do not use it unless you are developing git-svn. The interface will change as git-svn evolves.

DEPENDENCIES
Subversion perl bindings, Git::SVN.

"Git::SVN::Ra" has not been tested using callers other than git-svn itself.

SEE ALSO
SVN::Ra.

INCOMPATIBILITIES
None reported.

BUGS
None.